Jump to content


Photo

FMSoft_1.0.0.1378 uSynEdit SynEdit installation issues


  • Please log in to reply
12 replies to this topic

#1 J. Oriol M.

J. Oriol M.

    Active Member

  • uniGUI Subscriber
  • PipPipPip
  • 92 posts
  • LocationColombia

Posted 07 March 2017 - 03:21 PM

Hi,

I just downloaded 1.0.0.1378 Plus Pro, installation runs well, but in Delphi 2006 installation process.

I unistalled previous version and installed new one in a separate folder.

It seems folder SynEdit now is uSynEdit and it has problem to be installed, at least to me.

I edited some path in packages and Build All runs ok, uSynEdit_D2006.bpl and uSynEdit_R2006.bpl install ok,

but uniGUI10dcl.bdsproj and uniGUI10mdcl.bdsproj  says:

 

---------------------------
Error
---------------------------
Cannot load package 'uSynEdit_R2006.'  It contains unit 'uSynUnicode,'which is also contained in package 'uSynEdit_D2006'
---------------------------

 

Anybody with same problem?

 

Regards,

J. Oriol M.


  • 0

#2 Farshad Mohajeri

Farshad Mohajeri

    Administrator

  • Administrators
  • 9813 posts

Posted 07 March 2017 - 04:56 PM

Hi,

 

Here are the corrected project groups attached.

Attached Files


  • 0

#3 J. Oriol M.

J. Oriol M.

    Active Member

  • uniGUI Subscriber
  • PipPipPip
  • 92 posts
  • LocationColombia

Posted 07 March 2017 - 06:11 PM

Thanks a lot Farshad,

I'll test them later.

Best regards.


  • 0

#4 J. Oriol M.

J. Oriol M.

    Active Member

  • uniGUI Subscriber
  • PipPipPip
  • 92 posts
  • LocationColombia

Posted 08 March 2017 - 02:35 AM

Farshad,

I replaced original packages with yours, but same problem.

 

Must edit some paths: uSynEdit_D2006.bdsproj and uSynEdit_R2006.bdsproj:

 

<Source>
    <Source Name="MainSource">SynEdit_D2006.dpk</Source>  (edited with uSynEdit_D2006)
</Source>
 
<Source>
    <Source Name="MainSource">SynEdit_R2006.dpk</Source> (edited with uSynEdit_R2006)
</Source>

 

1- uniGUI_2006_PlusGroup.bdsgroup built and compiled ok

2- uSynEdit_D2006 Install ok

3- uniGUI10dcl.bdsproj on install:

    ---------------------------

    Error
    ---------------------------
    Cannot load package 'uSynEdit_R2006.'  It contains unit 'uSynUnicode,'which is also contained in package 'uSynEdit_D2006'
    ---------------------------
4- uniGUI10Chartdcl.bdsproj Install ok
 
Hope you can check this out, please.

  • 0

#5 Farshad Mohajeri

Farshad Mohajeri

    Administrator

  • Administrators
  • 9813 posts

Posted 08 March 2017 - 06:14 AM

I applied your changes.

 

Thanks


  • 0

#6 J. Oriol M.

J. Oriol M.

    Active Member

  • uniGUI Subscriber
  • PipPipPip
  • 92 posts
  • LocationColombia

Posted 08 March 2017 - 02:16 PM

Farshad,

I couldn't install neither 1.X or 0.99.X, have to use 0.90.

I don't know what I'm doing wrong.

Regards.


  • 0

#7 Farshad Mohajeri

Farshad Mohajeri

    Administrator

  • Administrators
  • 9813 posts

Posted 08 March 2017 - 04:15 PM

What error message are you getting?
  • 0

#8 J. Oriol M.

J. Oriol M.

    Active Member

  • uniGUI Subscriber
  • PipPipPip
  • 92 posts
  • LocationColombia

Posted 08 March 2017 - 05:01 PM

Farshad, the same error:

 

1- uniGUI_2006_PlusGroup.bdsgroup built ok

2- uSynEdit_D2006 Installed ok

3- uniGUI10dcl.bdsproj on installed:

    ---------------------------

    Error
    ---------------------------
    Cannot load package 'uSynEdit_R2006.'  It contains unit 'uSynUnicode,'which is also contained in package 'uSynEdit_D2006'
    ---------------------------
4- uniGUI10Chartdcl.bdsproj Installed ok
 
Best regards.

  • 0

#9 Farshad Mohajeri

Farshad Mohajeri

    Administrator

  • Administrators
  • 9813 posts

Posted 08 March 2017 - 05:14 PM

Please try this

- Remove all packages from IDE manually.

- Delete 2006 BPL files from HDD.

Then try again


  • 0

#10 Farshad Mohajeri

Farshad Mohajeri

    Administrator

  • Administrators
  • 9813 posts

Posted 10 March 2017 - 07:28 PM

Fixed.


  • 0

#11 J. Oriol M.

J. Oriol M.

    Active Member

  • uniGUI Subscriber
  • PipPipPip
  • 92 posts
  • LocationColombia

Posted 13 March 2017 - 03:01 AM

Hi Farshad,

I'm using TurboDelphi 2006.

 

I have downloaded again all of this:

FMSoft_uniGUI_Plus_Professional_1.0.0.1378_RC.exe, 

FMSoft_uniGUI_Plus_runtime_1.0.0.1378.exe,

FMSoft_uniGUI_Theme_Pack_1.0.0.1378.exe,

FMSoft_uniGUI_Documentation_1.0.0.1378.exe

 

Uninstalled all previous version.

Delete all bpl files from: C:\Users\user\Documents\Borland Studio Projects\Bpl

Removed packages manually from IDE

 

1- Installed Plus Professional in default path ..... OK

2- Installed Runtime show message that I shouldn't install Runtime along UniGUI (I've chosen Yes)....OK ?

3- Buid all projects in IDE......OK

4- Installed uSynEdit_D2006.bpl.....OK (Image attached, rare components icons)

5- Installation of uniGUI10dcl.bdsproj .............ERROR (Image attached)

 

I know this is a bother issue for you, but I'm runnng out of ideas, sorry.

I have installed RAD Studio 10.1 Berlin already in the same machine, does it affect somehow?

My last choice is unistall Delphi, but I have a lot of components actually.

 

Regards.

Attached Files


  • 0

#12 Farshad Mohajeri

Farshad Mohajeri

    Administrator

  • Administrators
  • 9813 posts

Posted 13 March 2017 - 06:43 AM

OK.

 

Please completely remove uSynEdit folder and copy attached files:Attached File  uSynEdit.rar   905.71KB   4 downloads

 

 


  • 0

#13 J. Oriol M.

J. Oriol M.

    Active Member

  • uniGUI Subscriber
  • PipPipPip
  • 92 posts
  • LocationColombia

Posted 13 March 2017 - 01:01 PM

Voila!!!

Thanks a lot,

if you like beer, I own you a few when you come to Colombia.

Best regards.


  • 1




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users